Actualizando el lector de pantalla Orca a la versión 3.1.1

Los que tienen instalado en su equipo Debian squeeze, Canaima-3.0 y Canaima-3.1 sabrán que la versión del lector de pantalla es la 2.30-2 la cual en mi opinión no es la mas adecuada, por ciertos fallos en la accesibilidad, así que vamos a actualizar esa versión por la 3.1.1 la cual va muy bien y tiene varias mejoras, por lo que haremos lo siguiente:

1. Abrimos un terminal/consola desde Aplicaciones (alternar+F1) –> Accesorio –> Terminal o pulsando control+F2 y escribiendo gnome-terminal.
2. Escribimos su y luego la contraseña.
3. Primero instalamos el paquete module-assistant escribiendo en la consola:
root@debian:/home/joenco# aptitude install module-assistant -y
esperamos un momento para que se instale.
4. Cuando termine, escribimos:
root@debian:/home/joenco# m-a prepare
y le decimos que si a todo lo que nos pida instalar.
Al terminar esos pasos, ya estaremos listo para empezar con la actualización del lector de pantalla a la versión 3.1.1

Así que haremos lo siguiente, se descarga el orca-3.1.1 y se descomprime, luego en el mismo terminal/consola que teníamos antes abierta:

1. Entramos a la carpeta donde tengamos descomprimido el orca, escribiendo:
root@debian:/home/joenco# cd orca-3.1.1/
2. Luego escribiremos la siguiente orden:
root@debian:/home/joenco/orca-3.1.1# ./configure
nos saldrá algo como:
root@debian:/home/joenco/orca-3.1.1#
checking for a BSD-compatible install… /usr/bin/install -c
checking whether build environment is sane… yes
checking for a thread-safe mkdir -p… /bin/mkdir -p
checking for gawk… no
checking for mawk… mawk
checking whether make sets $(MAKE)… yes
checking whether to enable maintainer-specific portions of Makefiles… no
checking for style of include used by make… GNU
checking for gcc… gcc
checking whether the C compiler works… yes
checking for C compiler default output file name… a.out
checking for suffix of executables…
checking whether we are cross compiling… no
checking for suffix of object files… o
checking whether we are using the GNU C compiler… yes
checking whether gcc accepts -g… yes
checking for gcc option to accept ISO C89… none needed
checking dependency style of gcc… none
checking how to run the C preprocessor… gcc -E
checking for grep that handles long lines and -e… /bin/grep
checking for egrep… /bin/grep -E
checking for ANSI C header files… yes
checking for sys/types.h… yes
checking for sys/stat.h… yes
checking for stdlib.h… yes
checking for string.h… yes
checking for memory.h… yes
checking for strings.h… yes
checking for inttypes.h… yes
checking for stdint.h… yes
checking for unistd.h… yes
checking locale.h usability… yes
checking locale.h presence… yes
checking for locale.h… yes
checking for LC_MESSAGES… yes
checking libintl.h usability… yes
checking libintl.h presence… yes
checking for libintl.h… yes
checking for ngettext in libc… yes
checking for dgettext in libc… yes
checking for bind_textdomain_codeset… yes
checking for msgfmt… no
checking whether NLS is requested… yes
checking for intltool >= 0.40.0… ./configure: line 4852: intltool-update: command not found
found
configure: error: Your intltool is too old.  You need intltool 0.40.0 or later.

Ups!! nos salio un error, pero que no es difícil de resolver, si revisamos la ultima linea:
“configure: error: Your intltool is too old.  You need intltool 0.40.0 or later.”
eso quiere decir que el paquete intltool no lo tenemos instalado, así que escribiremos:
root@debian:/home/joenco/orca-3.1.1# aptitude install intltool -y
esperamos a que se instale el paquete, volvemos a ejecutar la orden “./configure”
root@debian:/home/joenco/orca-3.1.1# ./configure
si todo ha salido bien y no tenemos mas errores, deberían salir estas lineas al final:
Use ORBit: yes
Use CORBA: yes
Use bonobo: yes
Use gnome-speech: yes
Use gnome-mag: no
Use brltty: yes
Use liblouis: yes
si es así, vamos por buen camino, de lo contrario tenemos que ir solucionando los errores que van saliendo, por lo general es por falta de paquetes y se instalan como lo explicamos en el punto anterior.

3. Ahora ejecutamos la orden:
root@debian:/home/joenco/orca-3.1.1# make
4. y por ultimo:
root@debian:/home/joenco/orca-3.1.1# make install
cuando terminemos ya tendremos el lector de pantalla orca actualizado a la versión 3.1.1, solo queda cerrar el mismo y abrirlo de nuevo.

Esperando les sea de utilidad y cualquier error que les de distinto al que me dio a mi, los animo que lo comenten para así crear una lista de errores y sus posibles soluciones.

Saludos a todos!!

Anuncios

7 pensamientos en “Actualizando el lector de pantalla Orca a la versión 3.1.1

  1. Hola soy yeremis rodriguez, a continuación el error que me dá, espero puedas solucionarlo, muchas gracias:
    configure: error: in `/home/yeremis/orca-3.1.1′:
    configure: error: no acceptable C compiler found in $PATH
    See `config.log’ for more details
    root@yeremis:/home/yeremis/orca-3.1.1#

    • Hola, disculpa por no responder de una vez, lo que puedes hacer es instalar el gcc, esto lo haces como root y escribiendo en el terminal/consola: aptitude install gcc, cuando lo hayas hecho, vuelves a intentar la instalación, nos dices como te fue….saludos.

  2. amigo tenia el mismo problema de yeremis rodriguez
    configure: error: in `/home/caidv/Escritorio/orca-3.1.1′:
    configure: error: C compiler cannot create executables
    See `config.log’ for more details

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s